Bug 219292 - misc/rump: fails to build with lang/gcc6 or later
Summary: misc/rump: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords: needs-patch
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 22:07 UTC by Jan Beich
Modified: 2017-09-22 13:01 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 22:07:38 UTC
src/lib/librump/../../sys/rump/../uvm/uvm_aobj.c: In function 'uao_get':
src/lib/librump/../../sys/rump/../uvm/uvm_aobj.c:882:5: error: this 'if' clause does not guard... [-Werror=misleading-indentation]
     if (lcv == centeridx ||
     ^~
src/lib/librump/../../sys/rump/../uvm/uvm_aobj.c:886:6: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'
      continue;
      ^~~~~~~~

build log: http://sprunge.us/BSTi
Comment 1 Raphael Kubo da Costa freebsd_committer 2017-07-25 11:09:58 UTC
This was fixed in NetBSD here: https://github.com/NetBSD/src/commit/915c4082d60e38d3f5b400d18ee3fc2adf51293f
Comment 2 commit-hook freebsd_committer 2017-07-25 15:07:35 UTC
A commit references this bug:

Author: vanilla
Date: Tue Jul 25 15:07:28 UTC 2017
New revision: 446590
URL: https://svnweb.freebsd.org/changeset/ports/446590

Log:
  Fix building on gcc6

  PR:		219292
  Submitted by:	jbeich@, rakuco@
  Obtained from:	NetBSD

Changes:
  head/misc/rump/files/patch-buildrump.sh
  head/misc/rump/files/patch-src_sys_uvm_uvm__aobj.c
Comment 3 Gerald Pfeifer freebsd_committer 2017-09-22 13:01:50 UTC
vanilla@ himself committed this two months ago.